- Cal3D 0.11 API Reference -

Classes | Public Member Functions | List of all members
CalCoreSubMorphTarget Class Reference

## Classes

struct | BlendVertex

## Public Member Functions

int | getBlendVertexCount ()
| Returns the number of blend vertices.
std::vector< BlendVertex > & | getVectorBlendVertex ()
| Returns the blend vertex vector.
bool | reserve (int blendVertexCount)
| Reserves memory for the blend vertices.
bool | setBlendVertex (int vertexId, const BlendVertex &vertex)
| Sets a specified blend vertex.

## Member Function Documentation

## ◆ getBlendVertexCount()

int CalCoreSubMorphTarget::getBlendVertexCount | ( |  | ) |

Returns the number of blend vertices.

This function returns the number of blend vertices in the core sub morph target instance.

Returns
  The number of blend vertices.

## ◆ getVectorBlendVertex()

std::vector< CalCoreSubMorphTarget::BlendVertex > & CalCoreSubMorphTarget::getVectorBlendVertex | ( |  | ) |

Returns the blend vertex vector.

This function returns the vector that contains all blend vertices of the core sub morph target instance.

Returns
  A reference to the blend vertex vector.

## ◆ reserve()

bool CalCoreSubMorphTarget::reserve | ( | int | blendVertexCount | ) |

Reserves memory for the blend vertices.

This function reserves memory for the blend vertices of the core sub morph target instance.

Parameters

  blendVertexCount | The number of blend vertices that this core sub morph target instance should be able to hold.

Returns
  One of the following values:
  - true if successful
  - false if an error happend

## ◆ setBlendVertex()

bool CalCoreSubMorphTarget::setBlendVertex | ( | int | blendVertexId,
|  | const BlendVertex & | blendVertex )

Sets a specified blend vertex.

This function sets a specified blend vertex in the core sub morph target instance.

Parameters

  vertexId | The ID of the vertex.
  vertex | The vertex that should be set.

Returns
  One of the following values:
  - true if successful
  - false if an error happend

The documentation for this class was generated from the following files:

- coresubmorphtarget.h
- coresubmorphtarget.cpp

Generated by The Cal3D Team with Doxygen 1.15.0